ubuntu-device-flash(1)

NAME
ubuntu-device-flash -

SYNOPSIS
ubuntu-device-flash [OPTIONS]

DESCRIPTION

OPTIONS

--revision
    revision to use, absolute or relative allowed

--download-only
    Only download.

--server
    Use a different image server

--clean-cache
    Cleans up cache with all downloaded bits

--tls-skip-verify
    Skip TLS certificate validation

-v, --verbose
    More messages will be printed out

COMMANDS

  core
Creates ubuntu core images

Usage: ubuntu-device-flash [OPTIONS] core [core-OPTIONS]

--channel
    Specify the channel to use

-o, --output
    Name of the image file to create

-s, --size
    Size of image file to create in GB (min 4)

--oem
    The snappy oem package to base the image out of

--device-part
    Specify a local device part to override the one from the server

--developer-mode
    Finds the latest public key in your ~/.ssh and sets it up using cloud-init

--enable-ssh
    Enable ssh on the image through cloud-init(not needed with developer mode)

--install
    Install additional packages (can be called multiple times)

--cloud
    Generate a pure cloud image without setting up cloud-init

--device
    Specify the device to use

  query
Run queries against the image server

Choose from the list of query options to retrieve information from the server

Usage: ubuntu-device-flash [OPTIONS] query [query-OPTIONS]

--list-channels
    List available channels

--list-images
    List available images for a channel

--show-image
    Show information for an image in the given channel

--channel
    Specify an alternate channel

--device
    Specify the device to use as a base for querying

  touch
Flashes ubuntu touch images

Usage: ubuntu-device-flash [OPTIONS] touch [touch-OPTIONS]

--bootstrap
    bootstrap the system, do this from the bootloader

--wipe
    Clear all data after flashing

--serial
    Serial of the device to operate

--developer-mode
    Enables developer mode after the factory reset, this is meant for automation and makes the device insecure by default (requires --password)

--device-tarball
    Specify a local device tarball to override the one from the server (using official Ubuntu images with different device tarballs)

--custom-tarball
    Specify a local custom tarball to override the one from the server (using official Ubuntu images with different custom tarballs)

--run-script
    Run a script given by path to finish the flashing process, instead of rebooting to recovery (mostly used during development to work around quirky or incomplete recovery images)

--password
    This sets up the default password for the phablet user. This option is meant for CI and not general use

--channel
    Specify the channel to use

--device
    Specify the device to flash

--recovery-image
    Specify the recovery image file to use when flashing, overriding the one from the device tarball (useful if the latter has no adb enabled)